__gnu_parallel::__binder2nd< _Operation, _FirstArgumentType, _SecondArgumentType, _ResultType > Class Template Reference
Inheritance diagram for __gnu_parallel::__binder2nd< _Operation, _FirstArgumentType, _SecondArgumentType, _ResultType >:
[legend]

## Public Types

typedef _FirstArgumentType | argument_type
typedef _ResultType | result_type

## Public Member Functions

| __binder2nd (const _Operation &__x, const _SecondArgumentType &__y)
_ResultType | operator() (_FirstArgumentType &__x)
_ResultType | operator() (const _FirstArgumentType &__x) const

## Protected Attributes

_Operation | _M_op
_SecondArgumentType | _M_value

## Detailed Description

### template<typename _Operation, typename _FirstArgumentType, typename _SecondArgumentType, typename _ResultType>
class __gnu_parallel::__binder2nd< _Operation, _FirstArgumentType, _SecondArgumentType, _ResultType >

Similar to std::binder2nd, but giving the argument types explicitly.

Definition at line 220 of file base.h.

## Member Typedef Documentation

## argument_type

typedef _FirstArgumentType std::unary_function< _FirstArgumentType , _ResultType >::argument_type

inherited

`argument_type` is the type of the argument

Definition at line 120 of file stl_function.h.

## result_type

typedef _ResultType std::unary_function< _FirstArgumentType , _ResultType >::result_type

inherited

`result_type` is the return type

Definition at line 123 of file stl_function.h.

The documentation for this class was generated from the following file:

- base.h